using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Programmation_objet_TLESIO21.projet {
    public class PokemonWater : Pokemon {
        public PokemonWater(string Name, int PV, int ATKPhys, int ATKSpe, int DEFPhys, int DEFSpe, int Speed) : base(Name, PV, ATKPhys, ATKSpe, DEFPhys, DEFSpe, Speed) {
            base.setPC(90);
            this.setType(Type.WATER);
        }
        
        public override void PhysAttack(Pokemon cible) {
            this.setPC(this.getPC() - 3);
            int damage = cible.getDEFPhys() - this.getATKPhys();
            if(damage > 0) {
                if(cible.getType().Equals(Type.DRAGON) ||
                    cible.getType().Equals(Type.WATER) ||
                    cible.getType().Equals(Type.GRASS)) {
                    damage /= 2;
                }
                if(cible.getType().Equals(Type.FIRE) ||
                    cible.getType().Equals(Type.ROCK) ||
                    cible.getType().Equals(Type.GROUND)) {
                    damage *= 2;
                }
                cible.getDamage(damage);
            }
        }

        public override void SpeAttack(Pokemon cible) {
            this.setPC(this.getPC() - 2);
            int damage = cible.getDEFSpe() - this.getATKSpe();
            if(damage > 0) {
                if(cible.getType().Equals(Type.DRAGON) ||
                    cible.getType().Equals(Type.WATER) ||
                    cible.getType().Equals(Type.GRASS)) {
                    damage /= 2;
                }
                if(cible.getType().Equals(Type.FIRE) ||
                    cible.getType().Equals(Type.ROCK) ||
                    cible.getType().Equals(Type.GROUND)) {
                    damage *= 2;
                }
                cible.getDamage(damage);
            }
        }
    }
}
